KDESTROY(1)

NAME
kdestroy - destroy Kerberos tickets

SYNOPSIS
kdestroy [ -f ] [ -q ]

DESCRIPTION
The kdestroy utility destroys the user's active Kerberos authorization tickets by writing zeros to the file that contains them. If the ticket file does not exist, kdestroy displays a message to that effect.

After overwriting the file, kdestroy removes the file from the system. The utility displays a message indicating the success or failure of the operation. If kdestroy is unable to destroy the ticket file, the utility will warn you by making your terminal beep.

In the Athena workstation environment, the toehold service automatically destroys your tickets when you end a workstation session. If your site does not provide a similar ticket-destroying mechanism, you can place the kdestroy command in your .logout file so that your tickets are destroyed automatically when you logout.

The options to kdestroy are as follows:

-f  kdestroy runs without displaying the status message.

-q  kdestroy will not make your terminal beep if it fails to destroy the tickets.

FILES
KRBTKFILE environment variable if set, otherwise
/tmp/tkt[uid]

SEE ALSO
kerberos(1), kinit(1), klist(1)

BUGS

Only the tickets in the user's current ticket file are destroyed. Separate ticket files are used to hold root instance and password changing tickets. These files should probably be destroyed too, or all of a user's tickets kept in a single ticket file.

AUTHORS
Steve Miller, MIT Project Athena/Digital Equipment Corporation
Clifford Neuman, MIT Project Athena
Bill Sommerfeld, MIT Project Athena